View Issue Details

IDProjectCategoryView StatusLast Update
0005343libextractorpluginspublic2018-07-12 22:42
ReporterbeberkingAssigned ToChristian Grothoff 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformOSLinuxOS Version
Product Versioncurrent SVN 
Target Version1.7Fixed in Version1.7 
Summary0005343: FTBFS with FFmpeg 4.0
DescriptionDear Libextractor developpers,

Libextractor apparently fails to build with FFmpeg 4.0 (see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=888373). The attached patch, written by James Cowgill, would allow to build with FFmpeg 4.0, but probably not with older versions.

Best regards,
Bertrand
TagsNo tags attached.

Activities

beberking

2018-06-11 22:22

developer  

ffmpeg4.patch (1,032 bytes)
Description: Fix FTBFS with FFmpeg 4.0
Author: James Cowgill <jcowgill@debian.org>
Bug-Debian: https://bugs.debian.org/888373
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/src/plugins/thumbnailffmpeg_extractor.c
+++ b/src/plugins/thumbnailffmpeg_extractor.c
@@ -107,7 +107,7 @@
 /**
  * Number of bytes to feed to libav in one go, with padding (padding is zeroed).
  */
-#define PADDED_BUFFER_SIZE (BUFFER_SIZE + FF_INPUT_BUFFER_PADDING_SIZE)
+#define PADDED_BUFFER_SIZE (BUFFER_SIZE + AV_INPUT_BUFFER_PADDING_SIZE)
 
 /**
  * Global handle to MAGIC data.
@@ -355,7 +355,7 @@ create_thumbnail (AVCodecContext *pCodec
    encoder_codec_ctx->mb_lmin = encoder_codec_ctx->qmin * FF_QP2LAMBDA;
    encoder_codec_ctx->mb_lmax = encoder_codec_ctx->qmax * FF_QP2LAMBDA;
 #endif
-   encoder_codec_ctx->flags          = CODEC_FLAG_QSCALE;
+   encoder_codec_ctx->flags          = AV_CODEC_FLAG_QSCALE;
    encoder_codec_ctx->global_quality = encoder_codec_ctx->qmin * FF_QP2LAMBDA;
 
    dst_frame->pts     = 1;
ffmpeg4.patch (1,032 bytes)

beberking

2018-06-21 19:30

developer   ~0013048

According to the patch's author, the patch should work as far back as FFmpeg 2.8
when those constants were added.

Issue History

Date Modified Username Field Change
2018-06-11 22:22 beberking New Issue
2018-06-11 22:22 beberking File Added: ffmpeg4.patch
2018-06-21 19:30 beberking Note Added: 0013048
2018-07-12 22:03 Christian Grothoff Assigned To => Christian Grothoff
2018-07-12 22:03 Christian Grothoff Status new => assigned
2018-07-12 22:33 Christian Grothoff Status assigned => resolved
2018-07-12 22:33 Christian Grothoff Resolution open => fixed
2018-07-12 22:33 Christian Grothoff Fixed in Version => 1.7
2018-07-12 22:33 Christian Grothoff Target Version => 1.7
2018-07-12 22:42 Christian Grothoff Status resolved => closed